com.rscja.team.qcom.r1.hf

## Class HFBase

- java.lang.Object
- - com.rscja.team.qcom.r1.hf.HFBase

- Direct Known Subclasses:
    HF14443A, HF14443B, HF15693

      public class HFBase
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `COMMAND_15693_SELECT`
    `int` | `COMMAND_ACTIVATEIDLE`
    `int` | `COMMAND_ANTICOLL`
    `int` | `COMMAND_ANTICOLLINVENTORY`
    `int` | `COMMAND_AUTHENTICATION`
    `int` | `COMMAND_COS_COMMAND`
    `int` | `COMMAND_DECREMENT`
    `int` | `COMMAND_FM1216RESET`
    `int` | `COMMAND_GET_MUL_BLOCK`
    `int` | `COMMAND_GET_SYSTEM_INFO`
    `int` | `COMMAND_HALT`
    `int` | `COMMAND_HALT_TYPEB`
    `int` | `COMMAND_INCREMENT`
    `int` | `COMMAND_INITVAL`
    `int` | `COMMAND_INVENTORY`
    `int` | `COMMAND_LOCK_AFI`
    `int` | `COMMAND_LOCK_BLOCK`
    `int` | `COMMAND_LOCK_DSFID`
    `int` | `COMMAND_READ`
    `int` | `COMMAND_READ_SM`
    `int` | `COMMAND_READVAL`
    `int` | `COMMAND_REQUESTA`
    `int` | `COMMAND_RESET_TO_READY`
    `int` | `COMMAND_RESTORE`
    `int` | `COMMAND_SELECT`
    `int` | `COMMAND_TRANSFER`
    `int` | `COMMAND_TRANSFERCOMMAND`
    `int` | `COMMAND_TYPEARATS`
    `int` | `COMMAND_TYPEAREST`
    `int` | `COMMAND_TYPEB_GET_UID`
    `int` | `COMMAND_TYPEBREST`
    `int` | `COMMAND_ULANTICOLL`
    `int` | `COMMAND_ULWRITE`
    `int` | `COMMAND_WRITE`
    `int` | `COMMAND_WRITE_AFI`
    `int` | `COMMAND_WRITE_DSFID`
    `int` | `COMMAND_WRITE_SM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HFBase()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMMAND_REQUESTA

          public final int COMMAND_REQUESTA

      See Also:
        Constant Field Values

    - #### COMMAND_ACTIVATEIDLE

          public final int COMMAND_ACTIVATEIDLE

      See Also:
        Constant Field Values

    - #### COMMAND_ANTICOLL

          public final int COMMAND_ANTICOLL

      See Also:
        Constant Field Values

    - #### COMMAND_SELECT

          public final int COMMAND_SELECT

      See Also:
        Constant Field Values

    - #### COMMAND_HALT

          public final int COMMAND_HALT

      See Also:
        Constant Field Values

    - #### COMMAND_AUTHENTICATION

          public final int COMMAND_AUTHENTICATION

      See Also:
        Constant Field Values

    - #### COMMAND_READ

          public final int COMMAND_READ

      See Also:
        Constant Field Values

    - #### COMMAND_WRITE

          public final int COMMAND_WRITE

      See Also:
        Constant Field Values

    - #### COMMAND_INITVAL

          public final int COMMAND_INITVAL

      See Also:
        Constant Field Values

    - #### COMMAND_READVAL

          public final int COMMAND_READVAL

      See Also:
        Constant Field Values

    - #### COMMAND_DECREMENT

          public final int COMMAND_DECREMENT

      See Also:
        Constant Field Values

    - #### COMMAND_INCREMENT

          public final int COMMAND_INCREMENT

      See Also:
        Constant Field Values

    - #### COMMAND_RESTORE

          public final int COMMAND_RESTORE

      See Also:
        Constant Field Values

    - #### COMMAND_TRANSFER

          public final int COMMAND_TRANSFER

      See Also:
        Constant Field Values

    - #### COMMAND_ULANTICOLL

          public final int COMMAND_ULANTICOLL

      See Also:
        Constant Field Values

    - #### COMMAND_ULWRITE

          public final int COMMAND_ULWRITE

      See Also:
        Constant Field Values

    - #### COMMAND_FM1216RESET

          public final int COMMAND_FM1216RESET

      See Also:
        Constant Field Values

    - #### COMMAND_TYPEARATS

          public final int COMMAND_TYPEARATS

      See Also:
        Constant Field Values

    - #### COMMAND_TYPEAREST

          public final int COMMAND_TYPEAREST

      See Also:
        Constant Field Values

    - #### COMMAND_HALT_TYPEB

          public final int COMMAND_HALT_TYPEB

      See Also:
        Constant Field Values

    - #### COMMAND_TYPEBREST

          public final int COMMAND_TYPEBREST

      See Also:
        Constant Field Values

    - #### COMMAND_TYPEB_GET_UID

          public final int COMMAND_TYPEB_GET_UID

      See Also:
        Constant Field Values

    - #### COMMAND_COS_COMMAND

          public final int COMMAND_COS_COMMAND

      See Also:
        Constant Field Values

    - #### COMMAND_INVENTORY

          public final int COMMAND_INVENTORY

      See Also:
        Constant Field Values

    - #### COMMAND_GET_SYSTEM_INFO

          public final int COMMAND_GET_SYSTEM_INFO

      See Also:
        Constant Field Values

    - #### COMMAND_READ_SM

          public final int COMMAND_READ_SM

      See Also:
        Constant Field Values

    - #### COMMAND_WRITE_SM

          public final int COMMAND_WRITE_SM

      See Also:
        Constant Field Values

    - #### COMMAND_LOCK_BLOCK

          public final int COMMAND_LOCK_BLOCK

      See Also:
        Constant Field Values

    - #### COMMAND_15693_SELECT

          public final int COMMAND_15693_SELECT

      See Also:
        Constant Field Values

    - #### COMMAND_RESET_TO_READY

          public final int COMMAND_RESET_TO_READY

      See Also:
        Constant Field Values

    - #### COMMAND_LOCK_AFI

          public final int COMMAND_LOCK_AFI

      See Also:
        Constant Field Values

    - #### COMMAND_WRITE_DSFID

          public final int COMMAND_WRITE_DSFID

      See Also:
        Constant Field Values

    - #### COMMAND_LOCK_DSFID

          public final int COMMAND_LOCK_DSFID

      See Also:
        Constant Field Values

    - #### COMMAND_WRITE_AFI

          public final int COMMAND_WRITE_AFI

      See Also:
        Constant Field Values

    - #### COMMAND_GET_MUL_BLOCK

          public final int COMMAND_GET_MUL_BLOCK

      See Also:
        Constant Field Values

    - #### COMMAND_TRANSFERCOMMAND

          public final int COMMAND_TRANSFERCOMMAND

      See Also:
        Constant Field Values

    - #### COMMAND_ANTICOLLINVENTORY

          public final int COMMAND_ANTICOLLINVENTORY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HFBase

          public HFBase()